AMBIX-INTERLEAVE(1)

NAME
ambix-interleave - AMBIsonics eXchange utility

SYNOPSIS
ambix-interleave -o outfile [options] infile1...

DESCRIPTION
Merges several audio files into an ambix file

OPTIONS

-h, --help
    print this help

-o, --output
    output filename

-O, --order
    force ambisonics order (default: autodetect)

-X, --matrix
    specify adaptor matrix file or a predefined matrix ('FuMa', 'n3d|sid', 'n3d' or 'sid')

-b, --blocksize
    blocksize for copying (default: 1024)

In it's simplest form, you pass it a number of input files, the accumulated channels of which form a full 3d ambisonics set (channel #0 becomes the W-channel,...). The ambisonics order is calculated from the number of channels using N=(O+1)^2.

If you specify the 'order', then all extranous channels will be stored as 'extra' channels.

You can also write extended ambix files, by specifying an adaptor matrix (either a soundfile, where the channels are read as rows and the frames as columns, or by specifying one of the standard matrices), in which case the columns of the matrix define the number of (reduced) ambisonics channels read from the input and the rows of the matrix must form a full 3d ambisonics set. Input channels exceeding the number of matrix columns are stored as 'extra' channels.

REPORTING BUGS
Report bugs to: https://git.iem.at/ambisonics/libambix

Home page: http://ambisonics.iem.at/xchange/format